Debian Bug report logs - #7330
dpkg: support versioned Provides

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: "Orn E. Hansen" <oe.hansen@halmstad.mail.telia.com>

Date: Wed, 12 Feb 1997 03:03:06 UTC

Severity: wishlist

Merged with 24934, 112131, 134582, 180316

Found in versions 1.4.0.23-2, 1.4.0.5, 1.9.17, 1.9.21

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson <ian@chiark.greenend.org.uk>:
Bug#7330; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to "Orn E. Hansen" <oe.hansen@halmstad.mail.telia.com>:
New bug report received and forwarded. Copy sent to Ian Jackson <ian@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Orn E. Hansen" <oe.hansen@halmstad.mail.telia.com>
To: submit@bugs.debian.org
Subject: dpkg 1.4.0.5 :
Date: Wed, 12 Feb 1997 03:23:10 +0100
Package: dpkg
Version: 1.4.0.5

replacing a pacage with another, that provides the same package.  Causes
conflicts with programs that depend on it... an example:

I have quota installed, and e2fsprogs which are marked essential.

I replace e2fsprogs with e2compr, a package that provides e2fsprogs, and
replaces it.

I cannot install it, without --auto-deconfigure... because quota depends
on e2fsprogs which are essential, and in this case dpkg doesn't listen
to Replace, nor Provides fields for e2compr.

After install, I have to use --ignore-depend=e2fsprogs to have quota
reconfigured because dpkg doesn't recognize that e2compr provides
e2fsprogs (Even though e2compr has Provides field filled with e2fsprogs).



-- System Information
Debian Release: 1.2
Kernel Version: Linux oehansen 2.0.27 #2 Tue Dec 24 06:32:41 CET 1996 i486 unknown

Versions of the packages dpkg depends on:
libc5	Version: 5.4.20-1
ncurses3.0	Version: 1.9.9e-1


Changed Bug title. Request was from Josip Rodin <jrodin@public.srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#7330; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 7330@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 7330@bugs.debian.org
Cc: "Orn E. Hansen" <oe.hansen@halmstad.mail.telia.com>
Subject: bug or feature?
Date: 01 Oct 2002 10:37:24 +0200
Orn E. Hansen wrote:   [I have edited it for grammar]
> Replacing a package with another that provides the same package.
> causes conflicts with programs that depend on it... an example:
> I have quota and e2fsprogs installed.  They are marked essential.
> I try to replace e2fsprogs with e2compr, a package that provides
> e2fsprogs and replaces it.
>
> I cannot install it unless I use --auto-deconfigure...
> because quota depends on e2fsprogs which is essential, and in
> this case dpkg doesn't pay attention to the Replace or Provides
> fields from e2compr.

Does the reported behavior violate policy?  If not,
then this report should probably be downgraded to
wishlist or closed.

--
Thomas





Changed Bug title. Request was from jdthood@yahoo.co.uk (Thomas Hood) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from jdthood@yahoo.co.uk (Thomas Hood) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#7330; Package dpkg. (Sat, 20 Aug 2011 09:12:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 20 Aug 2011 09:12:24 GMT) Full text and rfc822 format available.

Message #21 received at 7330@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 7330@bugs.debian.org
Subject: no versioned Provides
Date: Sat, 20 Aug 2011 11:10:32 +0200
retitle 7330 dpkg: support versioned Provides
merge 7330 24934
thanks

On 1997-02-12 03:23 +0100, Orn E. Hansen wrote:

> Package: dpkg
> Version: 1.4.0.5
>
> replacing a pacage with another, that provides the same package.  Causes
> conflicts with programs that depend on it... an example:
>
> I have quota installed, and e2fsprogs which are marked essential.
>
> I replace e2fsprogs with e2compr, a package that provides e2fsprogs, and
> replaces it.
>
> I cannot install it, without --auto-deconfigure... because quota depends
> on e2fsprogs which are essential, and in this case dpkg doesn't listen
> to Replace, nor Provides fields for e2compr.
>
> After install, I have to use --ignore-depend=e2fsprogs to have quota
> reconfigured because dpkg doesn't recognize that e2compr provides
> e2fsprogs (Even though e2compr has Provides field filled with e2fsprogs).

I don't think this has anything to do with e2fsprogs being Essential.
Rather the problem was that quota (as of version 1.55-8) had a
_versioned_ dependency on e2fsprogs, and Provides are never versioned.

Merging with the other bugs requesting versioned Provides.

Sven




Changed Bug title to 'dpkg: support versioned Provides' from 'Please allow an Essential packages to be Provided' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 20 Aug 2011 09:12:27 GMT) Full text and rfc822 format available.

Merged 7330 24934 112131 134582 180316. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 20 Aug 2011 09:12:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#7330; Package dpkg. (Sun, 18 Mar 2012 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to darxus@chaosreigns.com:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 18 Mar 2012 20:45:10 GMT) Full text and rfc822 format available.

Message #30 received at 7330@bugs.debian.org (full text, mbox):

From: darxus@chaosreigns.com
To: 7330@bugs.debian.org
Subject: dpkg: support versioned Provides
Date: Sun, 18 Mar 2012 16:33:33 -0400
Some work on this was done in 2000:
http://lists.debian.org/debian-dpkg/2000/08/msg00000.html




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#7330; Package dpkg. (Fri, 14 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 14 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 7330@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: darxus@chaosreigns.com, 7330@bugs.debian.org
Subject: Re: Bug#7330: dpkg: support versioned Provides
Date: Fri, 14 Sep 2012 07:46:45 +0200
On Sun, 2012-03-18 at 16:33:33 -0400, darxus@chaosreigns.com wrote:
> Some work on this was done in 2000:
> http://lists.debian.org/debian-dpkg/2000/08/msg00000.html

Yeah, had found that some time ago, and I've had a note on the
actual code commit in git which got reverted for some time now on
my TODO, which I just cherry-picked on a new local branch adapted
to the current code, pending review and testing. I expect this to
land during the 1.17.x cycle.

thanks,
guillem



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:59:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.